--       _________ __                 __
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \ 
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/ 
--  ______________________                           ______________________
--                        T H E   W A R   B E G I N S
--         Stratagus - A free fantasy real time strategy game engine
--
--	(c) Copyright 2015 by Kyran Jackson
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--

-- Ground Units

DefineUnitType("unit-footman", { Name = _("Footman"),
	Parent = "unit-germanic-warrior",
	Civilization = "freeman",
	Image = {"file", "germanic/units/warrior.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-germanic-warrior",
	Corpse = "unit-human-dead-body",
	Costs = {"time", 60, "gold", 600},
	Speed = 10,
	HitPoints = 60,
	Priority = 60,
	Points = 50,
	Demand = 1,
	SightRange = 4, ComputerReactionRange = 6, PersonReactionRange = 4,
	Armor = 2, BasicDamage = 6, PiercingDamage = 3, Missile = "missile-none",
} )

DefineUnitType("unit-peasant", { Name = _("Peasant"),
	Parent = "unit-germanic-worker",
	Civilization = "freeman",
	Image = {"file", "germanic/units/worker.png", "size", {72, 72}},
	Animations = "animations-dwarven-miner", Icon = "icon-germanic-worker",
	Corpse = "unit-human-dead-body",
	Costs = {"time", 45, "gold", 400},
	Speed = 10,
	HitPoints = 30,
	Priority = 50,
	Points = 30,
	Demand = 1,
	SightRange = 4, ComputerReactionRange = 6, PersonReactionRange = 4,
	Armor = 0, BasicDamage = 3, PiercingDamage = 2, Missile = "missile-none",
	CanGatherResources = {
		{
			"file-when-loaded", "germanic/units/worker_with_gold.png",
			"resource-id", "gold",
--			"harvest-from-outside",
			"resource-capacity", 100,
			"wait-at-resource", 150,
			"wait-at-depot", 150
		},
		{
			"file-when-loaded", "germanic/units/worker_with_lumber.png",
			"resource-id", "lumber",
			"harvest-from-outside",
			"resource-capacity", 100,
			"resource-step", 2,
			"wait-at-resource", 24,
			"wait-at-depot", 150,
			"terrain-harvester"
		}
	},
	Sounds = {
		"selected", "click",
--		"acknowledge", "dwarven-miner-acknowledge",
--		"ready", "dwarven-miner-ready",
--		"help", "basic-dwarf-voices-help",
		"dead", "basic-human-voices-dead",
		"hit", "mace-attack",
		"miss", "attack-miss"
	}
})

DefineUnitType("unit-attack-peasant", { Name = _("Minuteman"),
	Parent = "unit-peasant",
	Civilization = "freeman",
	Image = {"file", "germanic/units/worker.png", "size", {72, 72}},
	Animations = "animations-dwarven-miner", Icon = "icon-germanic-worker",
	Corpse = "unit-human-dead-body",
	CanGatherResources = {
		{
			"file-when-loaded", "germanic/units/worker_with_gold.png",
			"resource-id", "gold",
--			"harvest-from-outside",
			"resource-capacity", 100,
			"wait-at-resource", 150,
			"wait-at-depot", 150
		},
		{
			"file-when-loaded", "germanic/units/worker_with_lumber.png",
			"resource-id", "lumber",
			"harvest-from-outside",
			"resource-capacity", 100,
			"resource-step", 2,
			"wait-at-resource", 24,
			"wait-at-depot", 150,
			"terrain-harvester"
		}
	},
	Sounds = {
		"selected", "click",
--		"acknowledge", "dwarven-miner-acknowledge",
--		"ready", "dwarven-miner-ready",
--		"help", "basic-dwarf-voices-help",
		"dead", "basic-human-voices-dead",
		"hit", "mace-attack",
		"miss", "attack-miss"
	}
})

DefineUnitType("unit-ballista", { Name = _("Ballista"),
	Parent = "unit-dwarven-ballista",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/dwarven_ballista.png", "size", {64, 64}},
	Animations = "animations-dwarven-ballista", Icon = "icon-dwarven-ballista",
	Missile = "missile-dwarven-ballista-bolt",
	Costs = {"time", 250, "gold", 900, "lumber", 300},
	Speed = 5,
	HitPoints = 110,
	Priority = 70,
	Points = 100,
	Demand = 1,
	SightRange = 9, ComputerReactionRange = 11, PersonReactionRange = 9,
	Armor = 0, BasicDamage = 80, PiercingDamage = 0,
	MinAttackRange = 2, MaxAttackRange = 8,
})

DefineUnitType("unit-knight", { Name = _("Knight"),
	Parent = "unit-dwarven-yale-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/yale_rider_red_hair_gray_fur.png", "size", {72, 72}},
	Animations = "animations-melee-unit", Icon = "icon-dwarven-steelclad",
	StartingLevel = 2,
	Corpse = "unit-dwarven-dead-body",
	Excrement = "unit-yale-excrement",
	Costs = {"time", 90, "gold", 800, "lumber", 100},
	Speed = 13,
	HitPoints = 90,
	Priority = 63,
	Points = 100,
	Demand = 1,
	SightRange = 4, ComputerReactionRange = 6, PersonReactionRange = 4,
	Armor = 4, BasicDamage = 8, PiercingDamage = 4,
})

DefineUnitType("unit-paladin", { Name = _("Paladin"),
	Parent = "unit-knight",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/yale_rider_red_hair_gray_fur.png", "size", {72, 72}},
	Animations = "animations-melee-unit", Icon = "icon-dwarven-steelclad",
	StartingLevel = 2,
	Corpse = "unit-dwarven-dead-body",
	Excrement = "unit-yale-excrement",
	Priority = 65,
	Points = 110,
	Level = 2,
})

DefineUnitType("unit-archer", { Name = _("Archer"),
	Parent = "unit-germanic-archer",
	Civilization = "freeman",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Missile = "missile-arrow",
	Corpse = "unit-human-dead-body",
	CanCastSpell = {"spell-dagger-attack"},
	AutoCastActive = {"spell-dagger-attack"},
	TechnologyPointCost = 1,
	Costs = {"time", 70, "gold", 500, "lumber", 50},
	Speed = 10,
	HitPoints = 40,
	Priority = 55,
	Points = 60,
	Demand = 1,
	SightRange = 5, ComputerReactionRange = 7, PersonReactionRange = 5,
	Armor = 0, BasicDamage = 3, PiercingDamage = 6,
	MaxAttackRange = 4,
})

DefineUnitType("unit-ranger", { Name = _("Ranger"),
	Parent = "unit-archer",
	Civilization = "freeman",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Missile = "missile-arrow",
	Corpse = "unit-human-dead-body",
	CanCastSpell = {"spell-dagger-attack"},
	AutoCastActive = {"spell-dagger-attack"},
	TechnologyPointCost = 1,
	Level = 2,
	Priority = 57,
	HitPoints = 50,
	Points = 70,
	SightRange = 6, ComputerReactionRange = 9, PersonReactionRange = 6,
})

DefineUnitType("unit-yeoman", { Name = _("Yeoman"),
	Parent = "unit-ranger",
	Civilization = "freeman",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
})

DefineUnitType("unit-mage", { Name = _("Mage"),
--[[Hello.
Hello up there!
I'm down here.
Whats the weather like up there?
Death from below.
Yes?
OK?
Thats a long way.
Come down here and say that?
I'll stab you in your kneecap.
I did not have sex with that gnome.]]
	Parent = "unit-gnomish-herbalist",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
	Costs = {"time", 120, "gold", 1200},
	Speed = 8,
	HitPoints = 60,
	DrawLevel = 40,
	SightRange = 9, ComputerReactionRange = 11, PersonReactionRange = 9,
	BasicDamage = 0, PiercingDamage = 9,
	MaxAttackRange = 2,
	Priority = 70,
	Points = 100,
	Demand = 1,
})

DefineUnitType("unit-dwarves", { Name = _("Dwarf"),
	Parent = "unit-dwarven-steelclad",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/dwarven_steelclad.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-dwarven-steelclad",
	Costs = {"time", 200, "gold", 700, "lumber", 250},
	Speed = 11,
	HitPoints = 40,
	DrawLevel = 40,
	SightRange = 4, ComputerReactionRange = 4, PersonReactionRange = 2,
	BasicDamage = 4, PiercingDamage = 2, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 55,
	Points = 100,
	Demand = 1,
})

-- Ground Heroes

DefineUnitType("unit-caanoo-wiseman", { Name = _("Wise Man"),
	Parent = "unit-mage",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-female-hero", { Name = _("Archer"),
	Parent = "unit-mage",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-white-mage", { Name = _("White Mage"),
	Parent = "unit-archer",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-knight-rider", { Name = _("Turalyon"),
	Parent = "unit-archer",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/yale_rider_red_hair_gray_fur.png", "size", {72, 72}},
	Animations = "animations-melee-unit", Icon = "icon-dwarven-steelclad",
	StartingLevel = 2,
	Corpse = "unit-dwarven-dead-body",
	Excrement = "unit-yale-excrement",
})

DefineUnitType("unit-arthor-literios", { Name = _("Arthor Literios"),
	Parent = "unit-germanic-warrior",
	Civilization = "freeman",
	Image = {"file", "germanic/units/warrior.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-germanic-warrior",
	Corpse = "unit-human-dead-body",
	Costs = {"time", 60, "gold", 600},
	Speed = 10,
	HitPoints = 60,
	Priority = 60,
	Points = 50,
	Demand = 1,
	SightRange = 4, ComputerReactionRange = 6, PersonReactionRange = 4,
	Armor = 2, BasicDamage = 6, PiercingDamage = 3, Missile = "missile-none",
} )

DefineUnitType("unit-wise-man", { Name = _("Lothar"),
	Parent = "unit-archer",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-man-of-light", { Name = _("Uther Lightbringer"),
	Parent = "unit-archer",
	Civilization = "freeman",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

-- Air Units

DefineUnitType("unit-gryphon-rider", { Name = _("Gryphon"),
	Parent = "unit-dwarven-gryphon-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
	Costs = {"time", 250, "gold", 2500},
	Speed = 14,
	HitPoints = 100,
	DrawLevel = 60,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 6, ComputerReactionRange = 8, PersonReactionRange = 6,
	Armor = 5, BasicDamage = 0, PiercingDamage = 16,
	MaxAttackRange = 4,
	Priority = 65,
	Points = 150,
	Demand = 1,
	CanAttack = true,
	CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
	AirUnit = true,
	DetectCloak = true,
	organic = true,
	SelectableByRectangle = true,
})

DefineUnitType("unit-balloon", { Name = _("Gnomish Flying Machine"),
	Parent = "unit-dwarven-gryphon-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
	Costs = {"time", 65, "gold", 500, "lumber", 100},
	Speed = 17,
	HitPoints = 150,
	DrawLevel = 60,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 9, ComputerReactionRange = 19, PersonReactionRange = 15,
	Armor = 2, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
	MaxAttackRange = 1,
	Priority = 40,
	Points = 40,
	Demand = 1,
})

-- Air Heroes

DefineUnitType("unit-flying-angel", { Name = _("Kurdan and Sky'ree"),
	Parent = "unit-gryphon-rider",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
	Costs = {"time", 250, "gold", 2500},
	Speed = 14,
	HitPoints = 250,
	DrawLevel = 60,
	TileSize = {2, 2}, BoxSize = {63, 63},
	SightRange = 9, ComputerReactionRange = 8, PersonReactionRange = 6,
	Armor = 6, BasicDamage = 0, PiercingDamage = 25,
	MaxAttackRange = 5,
	Priority = 65,
	Points = 150,
	Demand = 1,
})

-- Sea Units

DefineUnitType("unit-human-oil-tanker", { Name = _("Oil tanker"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-transport", { Name = _("Transport"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-destroyer", { Name = _("Destroyer"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-battleship", { Name = _("Battleship"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-submarine", { Name = _("Submarine"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

-- Buildings Land

DefineUnitType("unit-farm", { Name = _("Farm"),
	Parent = "unit-germanic-farm",
	Civilization = "freeman",
	Description = _("Farms are essential for supporting a settlement's population."),
	Background = _("The bronze age predecessors of the germanic peoples had a variety of plants and animals in their farms. Wheat, millet and peas figured among the crops planted, while the most common animals were sheep and pigs. The animals bred by them were generally smaller than their modern counterparts, but they were sturdier."),
	Image = {"file", "germanic/buildings/farm.png", "size", {64, 64}},
	Icon = "icon-germanic-farm"
} )

DefineUnitType("unit-human-barracks", { Name = _("Barracks"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-church", { Name = _("Church"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-human-watch-tower", { Name = _("Scout Tower"),
	Parent = "unit-teuton-watch-tower",
	Civilization = "freeman",
	Image = {"file", "teuton/buildings/watch_tower.png", "size", {64, 64}},
	Icon = "icon-teuton-watch-tower",
} )

DefineUnitType("unit-human-guard-tower", { Name = _("Guard Tower"),
	Parent = "unit-teuton-guard-tower",
	Civilization = "freeman",
	Image = {"file", "teuton/buildings/watch_tower.png", "size", {64, 64}},
	Icon = "icon-teuton-watch-tower",
})

DefineUnitType("unit-human-cannon-tower", { Name = _("Cannon Tower"),
	Parent = "unit-human-guard-tower",
	Civilization = "freeman",
	Image = {"file", "teuton/buildings/watch_tower.png", "size", {64, 64}},
	Icon = "icon-teuton-watch-tower",
})

DefineUnitType("unit-stables", { Name = _("Stables"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-inventor", { Name = _("Gnomish Inventor"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-gryphon-aviary", { Name = _("Gryphon Aviary"),
	Parent = "unit-germanic-barracks",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-elven-lumber-mill", { Name = _("Carpenter's Shop"),
	Parent = "unit-germanic-carpenters-shop",
	Costs = {"time", 150, "gold", 600, "lumber", 450},
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/carpenters_shop.png", "size", {96, 96}},
	Icon = "icon-germanic-carpenters-shop",
})

DefineUnitType("unit-town-hall", { Name = _("Town Hall"),
	Parent = "unit-germanic-town-hall",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall"
})

DefineUnitType("unit-keep", { Name = _("Keep"),
	Parent = "unit-germanic-town-hall",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall"
})

DefineUnitType("unit-castle", { Name = _("Castle"),
	Parent = "unit-germanic-town-hall",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall"
})

DefineUnitType("unit-mage-tower", { Name = _("Mage Tower"),
	Parent = "unit-germanic-carpenters-shop",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/carpenters_shop.png", "size", {96, 96}},
	Icon = "icon-germanic-carpenters-shop",
})

DefineUnitType("unit-human-blacksmith", { Name = _("Blacksmith"),
	Parent = "unit-germanic-smithy",
	Civilization = "freeman",
	Image = {"file", "germanic/buildings/smithy.png", "size", {96, 96}},
	Icon = "icon-germanic-smithy",
})

DefineUnitType("unit-human-wall", { Name = _("Wall"),
	Parent = "unit-dwarven-steelclad",
	Civilization = "freeman",
	Image = {"file", "dwarf/units/dwarven_steelclad.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-dwarven-steelclad",
	Armor = 4,
})

-- Buildings Sea

DefineUnitType("unit-human-shipyard", { Name = _("Shipyard"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-foundry", { Name = _("Foundry"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-refinery", { Name = _("Refinery"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineUnitType("unit-human-oil-platform", { Name = _("Oil Platform"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

-- Other

DefineUnitType("unit-human-start-location", { Name = _("Start Location"),
	Parent = "unit-germanic-archer",
	--Civilization = "freeman"
})

DefineAllow("unit-footman", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-peasant", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-attack-peasant", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ballista", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-knight", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-paladin", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-archer", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ranger", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-yeoman", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-mage", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-dwarves", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-caanoo-wiseman", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-female-hero", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-white-mage", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-knight-rider", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-arthor-literios", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-wise-man", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-man-of-light", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-gryphon-rider", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-balloon", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-flying-angel", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-oil-tanker", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-transport", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-destroyer", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-battleship", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-submarine", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-farm", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-barracks", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-church", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-watch-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-guard-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-cannon-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-stables", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-inventor", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-gryphon-aviary", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-elven-lumber-mill", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-town-hall", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-keep", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-castle", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-mage-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-blacksmith", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-wall", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-shipyard", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-foundry", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-refinery", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-oil-platform", "AAAAAAAAAAAAAAAA")