--       _________ __                 __
--      /   _____//  |_____________ _/  |______     ____  __ __  ______
--      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
--      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ \ 
--     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
--             \/                  \/          \//_____/            \/ 
--  ______________________                           ______________________
--                        T H E   W A R   B E G I N S
--         Stratagus - A free fantasy real time strategy game engine
--
--	(c) Copyright 2015 by Kyran Jackson
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--

-- Ground Units

DefineUnitType("unit-grunt", { Name = _("Grunt"),
	Parent = "unit-germanic-warrior",
	Civilization = "wild",
	Image = {"file", "germanic/units/warrior.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-germanic-warrior",
	Corpse = "unit-human-dead-body",
} )

DefineUnitType("unit-peon", { Name = _("Fawn"),
	Parent = "unit-germanic-worker",
	Civilization = "wild",
	Image = {"file", "germanic/units/worker.png", "size", {72, 72}},
	Animations = "animations-dwarven-miner", Icon = "icon-germanic-worker",
	Corpse = "unit-human-dead-body",
	CanGatherResources = {
		{
			"file-when-loaded", "germanic/units/worker_with_gold.png",
			"resource-id", "gold",
--			"harvest-from-outside",
			"resource-capacity", 100,
			"wait-at-resource", 150,
			"wait-at-depot", 150
		},
		{
			"file-when-loaded", "germanic/units/worker_with_lumber.png",
			"resource-id", "lumber",
			"harvest-from-outside",
			"resource-capacity", 100,
			"resource-step", 2,
			"wait-at-resource", 24,
			"wait-at-depot", 150,
			"terrain-harvester"
		}
	},
	Sounds = {
		"selected", "click",
--		"acknowledge", "dwarven-miner-acknowledge",
--		"ready", "dwarven-miner-ready",
--		"help", "basic-dwarf-voices-help",
		"dead", "basic-human-voices-dead",
		"hit", "mace-attack",
		"miss", "attack-miss"
	}
})

DefineUnitType("unit-skeleton", { Name = _("Skeleton"),
	Parent = "unit-peasant",
	Civilization = "wild",
	Image = {"file", "germanic/units/worker.png", "size", {72, 72}},
	Animations = "animations-dwarven-miner", Icon = "icon-germanic-worker",
	Corpse = "unit-human-dead-body",
})

DefineUnitType("unit-catapult", { Name = _("Catapult"),
	Parent = "unit-dwarven-ballista",
	Civilization = "wild",
	Image = {"file", "dwarf/units/dwarven_ballista.png", "size", {64, 64}},
	Animations = "animations-dwarven-ballista", Icon = "icon-dwarven-ballista",
	Missile = "missile-dwarven-ballista-bolt",
})

DefineUnitType("unit-ogre", { Name = _("Ogre"),
	Parent = "unit-dwarven-yale-rider",
	Civilization = "wild",
	Image = {"file", "dwarf/units/yale_rider_red_hair_gray_fur.png", "size", {72, 72}},
	Animations = "animations-melee-unit", Icon = "icon-dwarven-steelclad",
	StartingLevel = 2,
	Corpse = "unit-dwarven-dead-body",
	Excrement = "unit-yale-excrement",
})

DefineUnitType("unit-ogre-mage", { Name = _("Ogre Mage"),
	Parent = "unit-knight",
	Civilization = "wild",
	Image = {"file", "dwarf/units/yale_rider_red_hair_gray_fur.png", "size", {72, 72}},
	Animations = "animations-melee-unit", Icon = "icon-dwarven-steelclad",
	StartingLevel = 2,
	Corpse = "unit-dwarven-dead-body",
	Excrement = "unit-yale-excrement",
})

DefineUnitType("unit-axethrower", { Name = _("Axethrower"),
	Parent = "unit-germanic-archer",
	Civilization = "wild",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Missile = "missile-arrow",
	Corpse = "unit-human-dead-body",
	CanCastSpell = {"spell-dagger-attack"},
	AutoCastActive = {"spell-dagger-attack"},
	TechnologyPointCost = 1,
})

DefineUnitType("unit-berserker", { Name = _("Berserker"),
	Parent = "unit-archer",
	Civilization = "wild",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Missile = "missile-arrow",
	Corpse = "unit-human-dead-body",
	CanCastSpell = {"spell-dagger-attack"},
	AutoCastActive = {"spell-dagger-attack"},
	TechnologyPointCost = 1,
})

DefineUnitType("unit-nomad", { Name = _("Nomad"),
	Parent = "unit-berserker",
	Civilization = "wild",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
})

DefineUnitType("unit-death-knight", { Name = _("Death Knight"),
	Parent = "unit-gnomish-herbalist",
	Civilization = "wild",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-goblin-sappers", { Name = _("Goblin"),
	Parent = "unit-dwarven-steelclad",
	Civilization = "wild",
	Image = {"file", "dwarf/units/dwarven_steelclad.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-dwarven-steelclad",
	Armor = 4,
})

-- Ground Heroes

DefineUnitType("unit-caanoo-wiseskeleton", { Name = "Wise Skeleton",
	Parent = "unit-mage",
	Civilization = "wild",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-sharp-axe", { Name = _("Sharp Axe"),
	Parent = "unit-archer",
	Civilization = "wild",
	Image = {"file", "germanic/units/archer.png", "size", {72, 72}},
	Animations = "animations-goblin-archer", Icon = "icon-germanic-archer",
	Missile = "missile-arrow",
	Corpse = "unit-human-dead-body",
	CanCastSpell = {"spell-dagger-attack"},
	AutoCastActive = {"spell-dagger-attack"},
	TechnologyPointCost = 1,
})

DefineUnitType("unit-evil-knight", { Name = _("Evil Knight"),
	Parent = "unit-archer",
	Civilization = "wild",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-fad-man", { Name = _("Fad Man"),
	Parent = "unit-archer",
	Civilization = "wild",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-beast-cry", { Name = _("Beast Cry"),
	Parent = "unit-archer",
	Civilization = "wild",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

DefineUnitType("unit-ice-bringer", { Name = _("Ice Bringer"),
	Parent = "unit-archer",
	Civilization = "wild",
	Image = {"file", "gnome/units/gnomish_herbalist.png", "size", {72, 72}},
	Animations = "animations-gnomish-herbalist", Icon = "icon-gnomish-herbalist",
	HitPoints = 35,
	Accuracy = 10,
	Evasion = 10,
	Corpse = "unit-gnomish-dead-body",
	CanCastSpell = {"spell-herbal-cure", "spell-portent"},
	AutoCastActive = {"spell-herbal-cure"},
})

-- Air Units

DefineUnitType("unit-dragon", { Name = _("Dragon"),
	Parent = "unit-dwarven-gryphon-rider",
	Civilization = "wild",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
})

DefineUnitType("unit-zeppelin", { Name = _("Zeppelin"),
	Parent = "unit-dwarven-gryphon-rider",
	Civilization = "wild",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
})

-- Air Heroes

DefineUnitType("unit-fire-breeze", { Name = _("Fire Breeze"),
	Parent = "unit-gryphon-rider",
	Civilization = "wild",
	Image = {"file", "dwarf/units/gryphon_rider.png", "size", {100, 100}},
	DrawLevel = 45,
	Animations = "animations-dwarven-gryphon-rider", Icon = "icon-dwarven-gryphon-rider",
})

-- Sea Units

DefineUnitType("unit-human-oil-tanker", { Name = _("Oil tanker"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineUnitType("unit-human-transport", { Name = _("Transport"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineUnitType("unit-human-destroyer", { Name = _("Destroyer"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineUnitType("unit-battleship", { Name = _("Battleship"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineUnitType("unit-human-submarine", { Name = _("Submarine"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

-- Buildings Land

DefineUnitType("unit-pig-farm", { Name = _("Farm"),
	Parent = "unit-germanic-farm",
	Civilization = "wild",
	Description = _("Farms are essential for supporting a settlement's population."),
	Background = _("The bronze age predecessors of the germanic peoples had a variety of plants and animals in their farms. Wheat, millet and peas figured among the crops planted, while the most common animals were sheep and pigs. The animals bred by them were generally smaller than their modern counterparts, but they were sturdier."),
	Image = {"file", "germanic/buildings/farm.png", "size", {64, 64}},
	Icon = "icon-germanic-farm"
} )

DefineUnitType("unit-orc-barracks", { Name = _("Barracks"),
	Parent = "unit-germanic-barracks",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-ogre-mound", { Name = _("Ogre Mound"),
	Parent = "unit-germanic-barracks",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-orc-watch-tower", { Name = _("Watch Tower"),
	Parent = "unit-germanic-farm",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/farm.png", "size", {64, 64}},
	Icon = "icon-germanic-farm"
} )

DefineUnitType("unit-orc-guard-tower", { Name = _("Guard Tower"),
	Parent = "unit-germanic-farm",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/farm.png", "size", {64, 64}},
	Icon = "icon-germanic-farm"
} )

DefineUnitType("unit-orc-cannon-tower", { Name = _("Cannon Tower"),
	Parent = "unit-germanic-farm",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/farm.png", "size", {64, 64}},
	Icon = "icon-germanic-farm"
} )

DefineUnitType("unit-altar-of-storms", { Name = _("Altar of Storms"),
	Parent = "unit-germanic-barracks",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-alchemist", { Name = _("Goblin Alchemist"),
	Parent = "unit-germanic-barracks",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-dragon-roost", { Name = _("Dragon Roost"),
	Parent = "unit-germanic-barracks",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/barracks.png", "size", {96, 96}},
	Animations = "animations-building", Icon = "icon-germanic-barracks"
})

DefineUnitType("unit-troll-lumber-mill", { Name = _("Lumber Mill"),
	Parent = "unit-germanic-carpenters-shop",
	Costs = {"time", 150, "gold", 600, "lumber", 450},
	Civilization = "wild",
	Image = {"file", "germanic/buildings/carpenters_shop.png", "size", {96, 96}},
	Icon = "icon-germanic-carpenters-shop",
})

DefineUnitType("unit-great-hall", { Name = _("Great Hall"),
	Parent = "unit-germanic-town-hall",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall"
})

DefineUnitType("unit-stronghold", { Name = _("Stronghold"),
	Parent = "unit-germanic-town-hall",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall"
})

DefineUnitType("unit-fortress", { Name = _("Fortress"),
	Parent = "unit-germanic-town-hall",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall"
})

DefineUnitType("unit-temple-of-the-damned", { Name = _("Temple of the Damned"),
	Parent = "unit-germanic-town-hall",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/town_hall.png", "size", {128, 128}},
	Animations = "animations-germanic-town-hall", Icon = "icon-germanic-town-hall",
	Construction = "construction-germanic-town-hall"
})

DefineUnitType("unit-orc-blacksmith", { Name = _("Blacksmith"),
	Parent = "unit-germanic-smithy",
	Civilization = "wild",
	Image = {"file", "germanic/buildings/smithy.png", "size", {96, 96}},
	Icon = "icon-germanic-smithy",
})

DefineUnitType("unit-orc-wall", { Name = _("Wall"),
	Parent = "unit-dwarven-steelclad",
	Civilization = "wild",
	Image = {"file", "dwarf/units/dwarven_steelclad.png", "size", {72, 72}},
	Animations = "animations-dwarven-axefighter", Icon = "icon-dwarven-steelclad",
	Armor = 4,
})

-- Buildings Sea

DefineUnitType("unit-orc-shipyard", { Name = _("Shipyard"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineUnitType("unit-orc-foundry", { Name = _("Foundry"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineUnitType("unit-orc-refinery", { Name = _("Refinery"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineUnitType("unit-orc-oil-platform", { Name = _("Oil Platform"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

-- Other

DefineUnitType("unit-orc-start-location", { Name = _("Start Location"),
	Parent = "unit-germanic-archer",
	--Civilization = "wild"
})

DefineAllow("unit-grunt", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-peon", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-skeleton", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-catapult", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ogre", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ogre-mage", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-axethrower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-berserker", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-nomad", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-death-knight", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-goblin-sappers", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-caanoo-wiseskeleton", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-sharp-axe", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-evil-knight", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-fad-man", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-beast-cry", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ice-bringer", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-dragon", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-zeppelin", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-fire-breeze", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-oil-tanker", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-transport", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-destroyer", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-battleship", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-submarine", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-pig-farm", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-orc-barracks", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-ogre-mound", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-orc-watch-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-orc-guard-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-orc-cannon-tower", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-altar-of-storms", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-alchemist", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-dragon-roost", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-troll-lumber-mill", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-great-hall", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-stronghold", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-fortress", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-temple-of-the-damned", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-orc-blacksmith", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-orc-wall", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-shipyard", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-foundry", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-refinery", "AAAAAAAAAAAAAAAA")
DefineAllow("unit-human-oil-platform", "AAAAAAAAAAAAAAAA")